<ng-container *ngIf="group?.type === 'DM'">
	<img alt="" draggable="false" [src]="group?.partnerProfile?.avatarDecrypted || group?.avatarDecrypted" />
	<span
		class="status-indicator"
		[ngClass]="{
			online: statusService.status.get(group?.partnerId) === 'ONLINE',
			afk: statusService.status.get(group?.partnerId) === 'AWAY_FROM_KEYBOARD',
			dnd: statusService.status.get(group?.partnerId) === 'DO_NOT_DISTURB'
		}"
	></span>
</ng-container>

<ng-container *ngIf="group?.type === 'GROUP'">
	<img alt="" draggable="false" [src]="group?.avatarDecrypted" />
</ng-container>

<ng-container *ngIf="profile">
	<img alt="" draggable="false" [src]="profile?.avatarDecrypted" />
	<span
		class="status-indicator"
		[ngClass]="{
			online: statusService.status.get(profile?.userId) === 'ONLINE',
			afk: statusService.status.get(profile?.userId) === 'AWAY_FROM_KEYBOARD',
			dnd: statusService.status.get(profile?.userId) === 'DO_NOT_DISTURB'
		}"
	></span>
</ng-container>
